/*
* 	Copyright (C) 2012, Pierre Letessier (INA / INRIA), all rights reserved.
*
* 	This file is part of BelgaLogosEval.
*
*   BelgaLogosEval is free software: you can redistribute it and/or modify
*  	it under the terms of the GNU General Public License as published by
*   the Free Software Foundation, either version 3 of the License, or
*   (at your option) any later version.
*
*   BelgaLogosEval is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with BelgaLogosEval.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef RESULTMANAGER_H_
#define RESULTMANAGER_H_

#include "Result.h"
#include <vector>

using namespace std;

class ResultManager
{
public:
	ResultManager();
	~ResultManager();

	void addResult(Result result);
	void printResults();

	int32_t readResultsFromFile(char* s_filename);

	uint32_t getNumberOfResult();
	Result getResult(int32_t i32_index);

private:
	vector<Result> a_results;
};

#endif /* RESULTMANAGER_H_ */
